libapache-singleton-perl_0.17-1_all.deb


Advertisement

Description

libapache-singleton-perl - Singleton class for mod_perl

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name libapache-singleton-perl
Package version 0.17
Package release 1
Package architecture all
Package type deb
Installed size 32 B
Download size 11.78 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libapache-singleton-perl_0.17-1_all.deb 0.17 all Debian Main
libapache-singleton-perl - - -

Requires

Name Value
libapache2-mod-perl2 -
libcgi-pm-perl -
perl -

Download

Type URL
Binary Package libapache-singleton-perl_0.17-1_all.deb
Source Package libapache-singleton-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapache-singleton-perl deb package:
    # sudo apt-get install libapache-singleton-perl

Files

Path
/usr/share/doc/libapache-singleton-perl/changelog.Debian.gz
/usr/share/doc/libapache-singleton-perl/changelog.gz
/usr/share/doc/libapache-singleton-perl/copyright
/usr/share/man/man3/Apache::Singleton.3pm.gz
/usr/share/man/man3/Apache::Singleton::Process.3pm.gz
/usr/share/man/man3/Apache::Singleton::Request.3pm.gz
/usr/share/perl5/Apache/Singleton.pm
/usr/share/perl5/Apache/Singleton/Process.pm
/usr/share/perl5/Apache/Singleton/Request.pm

Changelog

2017-10-22 - Damyan Ivanov <dmn@debian.org>
libapache-singleton-perl (0.17-1) unstable; urgency=medium
* Team upload
* New upstream release.
* Declare conformance with Policy 4.1.1 (no changes needed)
2017-08-02 - gregor herrmann <gregoa@debian.org>
libapache-singleton-perl (0.16-2) unstable; urgency=medium
[ gregor herrmann ]
* Rename autopkgtest configuration file(s) as per new pkg-perl-
autopkgtest schema.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
* debian/upstream/metadata: use HTTPS for GitHub URLs.
* Fix autopkgtests. Don't run smoke tests which need an Apache
configuration.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 4.0.0.
* Drop unneeded version constraint from libapache2-mod-perl2 (build)
dependency.
2015-09-15 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libapache-singleton-perl (0.16-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Lucas Kanashiro ]
* Add debian/upstream/metadata
* Import upstream version 0.16
* Bump debhelper compatibility level to 9
* Declare compliance with Debian policy 3.9.6
* Add autopkgtest-pkg-perl
[ gregor herrmann ]
* Make (build) dependency on libapache2-mod-perl2 versioned.
Needed for Apache::Test 1.35.
* Add explicit (build) dependency on libcgi-pm-perl.
2013-06-03 - gregor herrmann <gregoa@debian.org>
libapache-singleton-perl (0.15-2) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Apache 2.4 transition:
- build-depend on apache2-dev
- add a minimal debian/apache2.conf to get necessary modules for the test
suite
- use it in debian/rules
(Closes: #666800)
* Update years of packaging copyright.
* Set Standards-Version to 3.9.4 (no changes).
2012-06-16 - gregor herrmann <gregoa@debian.org>
libapache-singleton-perl (0.15-1) unstable; urgency=low
* New upstream release.
* Remove patch, merged upstream.
2012-04-02 - gregor herrmann <gregoa@debian.org>
libapache-singleton-perl (0.14-2) unstable; urgency=low
* Add patch to use only one Apache child process in tests. Thanks to
Niko Tyni for the analysis and the patch. (Closes: #666601)
* Add t/SMOKE to debian/clean.
* debian/copyright: update to Copyright-Format 1.0.
* Bump Standards-Version to 3.9.3 (no changes).
2012-01-19 - gregor herrmann <gregoa@debian.org>
libapache-singleton-perl (0.14-1) unstable; urgency=low
* Take over for the Debian Perl Group
* debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza);
${misc:Depends} to Depends: field. Changed: Maintainer set to Debian
Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was:
Isaac Clerencia <isaac@sindominio.net>).
* Add debian/watch.
* New upstream release.
* Switch to debhelper compatibility level 8. Use tiny debian/rules.
* Switch to "3.0 (quilt)" source format.
* Bump Standards-Version to 3.9.2 (no further changes).
* Update build/runtime dependencies, enable test suite.
* Add /me to Uploaders.
* debian/copyright: DEP5 format, new upstream maintainer.
2005-09-22 - Isaac Clerencia <isaac@debian.org>
libapache-singleton-perl (0.07-1) unstable; urgency=low
* New upstream release, closes: #329492
2004-08-04 - Isaac Clerencia <isaac@sindominio.net>
libapache-singleton-perl (0.06-1) unstable; urgency=low
* Initial release, closes: #263495

See Also

Package Description
libapache-ssllookup-perl_2.00-04-2+b1_amd64.deb glue layer between Perl handlers and the mod_ssl public API
libapache2-authcassimple-perl_0.10-3_all.deb Apache2 module to authenticate trough a CAS server
libapache2-authcookie-perl_3.27-1_all.deb Perl Authentication and Authorization via cookies
libapache2-mod-apparmor_2.13.1-3+b1_amd64.deb changehat AppArmor library as an Apache module
libapache2-mod-apreq2_2.13-5+b3_amd64.deb generic Apache request library - Apache module
libapache2-mod-auth-cas_1.1-3_amd64.deb CAS authentication module for Apache2
libapache2-mod-auth-gssapi_1.6.1-1_amd64.deb GSSAPI Authentication module for Apache2
libapache2-mod-auth-kerb_5.4-2.3_amd64.deb apache2 module for Kerberos authentication
libapache2-mod-auth-mellon_0.14.0-1+b1_amd64.deb SAML 2.0 authentication module for Apache
libapache2-mod-auth-ntlm-winbind_0.0.0.lorikeet+svn+801-4_amd64.deb apache2 module for NTLM authentication against Winbind
libapache2-mod-auth-openid_0.8-5_amd64.deb OpenID authentication module for Apache2
libapache2-mod-auth-openidc_2.3.7-1+b1_amd64.deb OpenID Connect authentication module for Apache
libapache2-mod-auth-pgsql_2.0.3-6.1_amd64.deb Module for Apache2 which provides PostgreSQL authentication
libapache2-mod-auth-plain_2.0.52_amd64.deb Module for Apache2 which provides plaintext authentication
libapache2-mod-auth-pubtkt_0.11-1_amd64.deb key-based single-sign-on authentication module for Apache
Advertisement
Advertisement